org.eclipse.actf.ai.voice.preferences.util

## Class ComboButtonFieldEditor

- java.lang.Object
- - org.eclipse.jface.preference.FieldEditor
  - - org.eclipse.actf.ai.voice.preferences.util.ComboFieldEditor
    - - org.eclipse.actf.ai.voice.preferences.util.ComboButtonFieldEditor

    public class ComboButtonFieldEditor
    extends ComboFieldEditor

ComboButtonFieldEditor has a combobox with a button.

### Field Summary

### Fields inherited from class org.eclipse.jface.preference.FieldEditor

`IS_VALID, VALUE`

### Method Summary

Methods
`int` `getNumberOfControls()`
`void` `setEnabled(boolean enabled, Composite parent)`
`void` `setTestButtonText(String text)`

### Methods inherited from class org.eclipse.actf.ai.voice.preferences.util.ComboFieldEditor

`getComboControl`

### Methods inherited from class org.eclipse.jface.preference.FieldEditor

`dispose, fillIntoGrid, getFieldEditorFontName, getLabelControl, getLabelText, getPreferenceName, getPreferenceStore, isValid, load, loadDefault, presentsDefaultValue, setFocus, setLabelText, setPage, setPreferenceName, setPreferencePage, setPreferenceStore, setPropertyChangeListener, store`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getNumberOfControls

    public int getNumberOfControls()

Overrides:
  `getNumberOfControls` in class `ComboFieldEditor`

#### setTestButtonText

    public void setTestButtonText(String text)

Parameters:
  `text` - the text of the button.

#### setEnabled

    public void setEnabled(boolean enabled,
                  Composite parent)

Overrides:
  `setEnabled` in class `ComboFieldEditor`